package com.xunhong.erp.turbo.file;

import com.aliyuncs.auth.sts.AssumeRoleResponse;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

import java.io.File;
import java.io.InputStream;

/**
 * oss 服务
 *
 * @author shenyifei
 */
@Slf4j
@Setter
public class MockFileServiceImpl implements FileService {


	@Override
	public AssumeRoleResponse.Credentials getOssToken() {
		return null;
	}

	@Override
	public boolean upload(String path, InputStream fileStream) {
		return true;
	}

	@Override
	public boolean upload(String path, File file) {
		return true;
	}

}
